libxml++ 3.2.0

Protected Member Functions | List of all members
xmlpp::NonCopyable Class Reference

A base for classes which cannot be copied or moved. More...

`#include <libxml++/noncopyable.h>`

Inheritance diagram for xmlpp::NonCopyable:
[legend]

## Protected Member Functions
| NonCopyable () noexcept
| NonCopyable (const NonCopyable&)=delete
| NonCopyable (NonCopyable&&)=delete
virtual | ~NonCopyable ()
NonCopyable& | operator= (const NonCopyable&)=delete
NonCopyable& | operator= (NonCopyable&&)=delete

## Detailed Description

A base for classes which cannot be copied or moved.

## Constructor & Destructor Documentation

## ◆ NonCopyable() [1/3]

xmlpp::NonCopyable::NonCopyable | ( |  | ) |
| protected noexcept

## ◆ ~NonCopyable()

virtual xmlpp::NonCopyable::~NonCopyable | ( |  | ) |
| protected virtual

## ◆ NonCopyable() [2/3]

xmlpp::NonCopyable::NonCopyable | ( | const NonCopyable& |  | ) |
| protected delete

## ◆ NonCopyable() [3/3]

xmlpp::NonCopyable::NonCopyable | ( | NonCopyable&& |  | ) |
| protected delete

## Member Function Documentation

## ◆ operator=() [1/2]

NonCopyable& xmlpp::NonCopyable::operator= | ( | const NonCopyable& |  | ) |
| protected delete

## ◆ operator=() [2/2]

NonCopyable& xmlpp::NonCopyable::operator= | ( | NonCopyable&& |  | ) |
| protected delete